Loading...
Searching...
No Matches
PgsqlSqlUtilBase::PgsqlUniqueConstraintCommon Class Reference

common base class for unique constraints More...

Inheritance diagram for PgsqlSqlUtilBase::PgsqlUniqueConstraintCommon:
[legend]

## Public Member Functions

| clearIndex ()
| clears any index base for the constraint
| constructor (*string ts)
| creates the constraint with an optional tablespace name
| getIndexSql (reference< string > sql, string name, *hash opts)
| adds index options onto the sql creation string
*string | getTablespace ()
| returns the tablespace name used for this constraint, if known
bool | setIndexBase (string ix)
| sets the supporting index name
| setTablespace (*string ts)
| sets or clears the tablespace name

## Protected Attributes

*string | tablespace
| any tablespace for the unique key index

## Detailed Description

common base class for unique constraints